This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 804042 (CVE-2012-1184)

Summary: CVE-2012-1184 asterisk: Stack-based buffer overflow by processing certain HTTP Digest Authentication headers (AST-2012-003)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bressers, itamar, jeff, jrusnack, rbryant
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120315,reported=20120316,source=gentoo,cvss2=7.5/AV:N/AC:L/Au:N/C:P/I:P/A:P,fedora-all/asterisk=affected,cwe=CWE-228->CWE-121
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 804045    
Bug Blocks:    

Description Jan Lieskovsky 2012-03-16 07:41:47 EDT
A stack-based buffer overflow flaw was found in the way Asterisk Manager Interface of Asterisk, open source telephony toolkit, performed processing of certain HTTP Digest Authentication headers. A remote attacker, attempting to connect to the HTTP session could send a HTTP Digest Authentication header with specially-crafted values for certain fields, which once processed by the Asterisk parse digest authorization header functionality would lead to asterisk crash, or, potentially arbitrary code execution with the privileges of the user running the application.

Upstream security advisory:
[1] http://downloads.asterisk.org/pub/security/AST-2012-003.pdf

Asterisk v1.8.10.1 announcement:
[2] http://www.asterisk.org/node/51797

Upstream patch against the v1.8 branch:
[3] http://downloads.asterisk.org/pub/security/AST-2012-003-1.8.diff
Comment 1 Jan Lieskovsky 2012-03-16 07:49:10 EDT
This issue affects the versions of the asterisk package, as shipped with Fedora release of 15 and 16. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-03-16 07:50:38 EDT
Created asterisk tracking bugs for this issue

Affects: fedora-all [bug 804045]
Comment 3 Jan Lieskovsky 2012-03-16 07:51:23 EDT
CVE request:
[4] http://www.openwall.com/lists/oss-security/2012/03/16/10
Comment 4 Kurt Seifried 2012-03-16 15:27:44 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/16/17
Comment 5 Fedora Update System 2012-03-30 23:09:53 EDT
asterisk-1.8.10.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-03-30 23:16:33 EDT
asterisk-1.8.10.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-11 22:04:22 EDT
asterisk-10.2.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-03 18:53:49 EDT
asterisk-1.8.11.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-04 18:52:08 EDT
asterisk-10.3.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-11 18:03:00 EDT
asterisk-1.8.11.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.